Index: stylefunc.c
===================================================================
--- stylefunc.c	(revision 8b3259378ae437404d1c3744ae5ced5fa0ac4ecb)
+++ stylefunc.c	(revision 5ea6fea2f6f4e4af8be449f485bd6385c8e8e874)
@@ -388,19 +388,62 @@
 {
   char *tmp;
-
+  char *baseformat="%s %-13.13s %-11.11s %-12.12s ";
+  char *sender, *recip;
+
+  sender=short_zuser(owl_message_get_sender(m));
+  recip=short_zuser(owl_message_get_recipient(m));
+  
   if (owl_message_is_type_zephyr(m)) {
     owl_fmtext_append_spaces(fm, OWL_TAB);
     if (owl_message_is_login(m)) {
-      tmp=owl_sprintf("< %-15.15s %-15.15s %-12.12s ", "LOGIN", "", owl_message_get_sender(m));
+      tmp=owl_sprintf(baseformat, "<", "LOGIN", "", sender);
+      owl_fmtext_append_normal(fm, tmp);
+      owl_fmtext_append_normal(fm, "\n");
+      owl_free(tmp);
+    } else if (owl_message_is_logout(m)) {
+      tmp=owl_sprintf(baseformat, "<", "LOGOUT", "", sender);
+      owl_fmtext_append_normal(fm, tmp);
+      owl_fmtext_append_normal(fm, "\n");
+      owl_free(tmp);
+    } else if (owl_message_is_ping(m)) {
+      tmp=owl_sprintf(baseformat, "<", "PING", "", sender);
+      owl_fmtext_append_normal(fm, tmp);
+      owl_fmtext_append_normal(fm, "\n");
+      owl_free(tmp);
+    } else {
+      if (owl_message_is_direction_in(m)) {
+	tmp=owl_sprintf(baseformat, "<", owl_message_get_class(m), owl_message_get_instance(m), sender);
+      } else if (owl_message_is_direction_out(m)) {
+	tmp=owl_sprintf(baseformat, ">", owl_message_get_class(m), owl_message_get_instance(m), recip);
+      } else {
+	tmp=owl_sprintf(baseformat, "-", owl_message_get_class(m), owl_message_get_instance(m), sender);
+      }
+      owl_fmtext_append_normal(fm, tmp);
+      if (tmp) owl_free(tmp);
+      
+      tmp=owl_strdup(owl_message_get_body(m));
+      owl_util_tr(tmp, '\n', ' ');
+      owl_fmtext_append_normal(fm, tmp);
+      owl_fmtext_append_normal(fm, "\n");
+      if (tmp) owl_free(tmp);
+    }
+      
+    /* make personal messages bold for smaat users */
+    if (owl_global_is_userclue(&g, OWL_USERCLUE_CLASSES) && owl_message_is_personal(m)) {
+      owl_fmtext_addattr(fm, OWL_FMTEXT_ATTR_BOLD);
+    }
+
+    owl_free(sender);
+    owl_free(recip);
+    
+  } else if (owl_message_is_type_aim(m)) {
+    owl_fmtext_append_spaces(fm, OWL_TAB);
+    if (owl_message_is_login(m)) {
+      tmp=owl_sprintf(baseformat, "<", "AIM LOGIN", "", owl_message_get_sender(m));
       owl_fmtext_append_normal(fm, tmp);
       owl_fmtext_append_normal(fm, "\n");
       if (tmp) owl_free(tmp);
     } else if (owl_message_is_logout(m)) {
-      tmp=owl_sprintf("< %-15.15s %-15.15s %-12.12s ", "LOGOUT", "", owl_message_get_sender(m));
-      owl_fmtext_append_normal(fm, tmp);
-      owl_fmtext_append_normal(fm, "\n");
-      if (tmp) owl_free(tmp);
-    } else if (owl_message_is_ping(m)) {
-      tmp=owl_sprintf("< %-15.15s %-15.15s %-12.12s ", "PING", "", owl_message_get_sender(m));
+      tmp=owl_sprintf(baseformat, "<", "AIM LOGOUT", "", owl_message_get_sender(m));
       owl_fmtext_append_normal(fm, tmp);
       owl_fmtext_append_normal(fm, "\n");
@@ -408,44 +451,9 @@
     } else {
       if (owl_message_is_direction_in(m)) {
-	tmp=owl_sprintf("< %-15.15s %-15.15s %-12.12s ", owl_message_get_class(m), owl_message_get_instance(m), owl_message_get_sender(m));
-      } else if (owl_message_is_direction_out(m)) {
-	tmp=owl_sprintf("> %-15.15s %-15.15s %-12.12s ", owl_message_get_class(m), owl_message_get_instance(m), owl_message_get_recipient(m));
-      } else {
-	tmp=owl_sprintf("- %-15.15s %-15.15s %-12.12s ", owl_message_get_class(m), owl_message_get_instance(m), owl_message_get_sender(m));
-      }
-      owl_fmtext_append_normal(fm, tmp);
-      if (tmp) owl_free(tmp);
-      
-      tmp=owl_strdup(owl_message_get_body(m));
-      owl_util_tr(tmp, '\n', ' ');
-      owl_fmtext_append_normal(fm, tmp);
-      owl_fmtext_append_normal(fm, "\n");
-      if (tmp) owl_free(tmp);
-    }
-      
-    /* make personal messages bold for smaat users */
-    if (owl_global_is_userclue(&g, OWL_USERCLUE_CLASSES) && owl_message_is_personal(m)) {
-      owl_fmtext_addattr(fm, OWL_FMTEXT_ATTR_BOLD);
-    }
-    
-  } else if (owl_message_is_type_aim(m)) {
-    owl_fmtext_append_spaces(fm, OWL_TAB);
-    if (owl_message_is_login(m)) {
-      tmp=owl_sprintf("< %-15.15s %-15.15s %-12.12s ", "AIM LOGIN", "", owl_message_get_sender(m));
-      owl_fmtext_append_normal(fm, tmp);
-      owl_fmtext_append_normal(fm, "\n");
-      if (tmp) owl_free(tmp);
-    } else if (owl_message_is_logout(m)) {
-      tmp=owl_sprintf("< %-15.15s %-15.15s %-12.12s ", "AIM LOGOUT", "", owl_message_get_sender(m));
-      owl_fmtext_append_normal(fm, tmp);
-      owl_fmtext_append_normal(fm, "\n");
-      if (tmp) owl_free(tmp);
-    } else {
-      if (owl_message_is_direction_in(m)) {
-	tmp=owl_sprintf("< %-15.15s %-15.15s %-12.12s ", "AIM", "", owl_message_get_sender(m));
+	tmp=owl_sprintf(baseformat, "<", "AIM", "", owl_message_get_sender(m));
 	owl_fmtext_append_normal(fm, tmp);
 	if (tmp) owl_free(tmp);
       } else if (owl_message_is_direction_out(m)) {
-	tmp=owl_sprintf("> %-15.15s %-15.15s %-12.12s ", "AIM", "", owl_message_get_recipient(m));
+	tmp=owl_sprintf(baseformat, ">", "AIM", "", owl_message_get_recipient(m));
 	owl_fmtext_append_normal(fm, tmp);
 	if (tmp) owl_free(tmp);
Index: util.c
===================================================================
--- util.c	(revision b2b077340663beb07545909f5ec5e8c55b61911d)
+++ util.c	(revision 5ea6fea2f6f4e4af8be449f485bd6385c8e8e874)
@@ -397,6 +397,6 @@
 }
 
+/* the caller must free the return */
 char *short_zuser(char *in) {
-  /* the caller must free the return */
   char *out, *ptr;
 
@@ -411,7 +411,6 @@
 }
 
-
+/* the caller must free the return */
 char *long_zuser(char *in) {
-  /* the caller must free the return */
   char *ptr;
 
